---
title: "Radio Group"
description: "A set of checkable buttons—known as radio buttons—where no more than one of the buttons can be checked at a time."
component: true
---

<ComponentExample name="radio-group-demo" />

## Usage

---

```tsx
import { RadioGroup } from "@medusajs/ui"
```

```tsx
<RadioGroup>
  <RadioGroup.Item value="1" id="radio_1" />
  <RadioGroup.Item value="2" id="radio_2" />
  <RadioGroup.Item value="3" id="radio_3" />
</RadioGroup>
```

## API Reference

---

<ComponentReference mainComponent="RadioGroup" />

## Examples

---

### With Descriptions

<ComponentExample name="radio-group-descriptions" />

### With a disabled item

<ComponentExample name="radio-group-disabled" />
